Bug 11373 - smbd segfault with NULL session table
smbd segfault with NULL session table
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.1.12
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-30 14:13 UTC by Guenther Deschner
Modified: 2015-07-21 14:34 UTC (History)
4 users (show)

See Also:


Attachments
patch from master for v4-2-test and v4-1-test (1.82 KB, patch)
2015-07-02 07:11 UTC, Guenther Deschner
gd: review? (metze)
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2015-06-30 14:13:43 UTC
There are reports of segfaults where an empty session table is derreferenced (https://bugzilla.redhat.com/show_bug.cgi?id=1223981). After looking at the code, we created a patch that should prevent situations where the table can be NULL.
Comment 1 Guenther Deschner 2015-07-02 07:11:59 UTC
Created attachment 11223 [details]
patch from master for v4-2-test and v4-1-test
Comment 2 Michael Adam 2015-07-07 21:43:44 UTC
Karo, please pick.
Comment 3 Karolin Seeger 2015-07-16 09:42:51 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 4 Karolin Seeger 2015-07-21 14:34:40 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!